Uploaded image for project: 'ZooKeeper'
  1. ZooKeeper
  2. ZOOKEEPER-3754

ZooKeeper unusable in OSGi - missing headers

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 3.6.0
    • Fix Version/s: None
    • Component/s: build
    • Labels:
      None

      Description

      Trying to upgrade Aries RSA from ZooKeeper 3.4.14 to 3.6.0, I found that itests (pax exam) fail - only to discover that the new ZooKeeper release jar is now missing all OSGi headers.

      ZooKeeper releases are generally few and far in between, which makes it disappointing to see such regression bugs - it means other projects must remain on ancient versions of ZK for a long time.

      It would be great if the OSGi headers could be added back and a new minor release cut expeditiously, or alternatively a separate zookeeper-osgi bundle be distributed in addition to the standard one if there are issues with the standard one for some reason.

       

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              amichai Amichai Rothman
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: